#!/bin/bash
#check if suffcient parameters provided
if [[ $# -lt 1 ]]; then
	echo "Usage:$0 serial_port"
	exit -1
fi

#check if serial port exists
if [ ! -c $1 ]; then
	echo "Serial port $1 does not exist"
	exit -1
fi

LOAD=linux_mac/load_mac
MAC=`uname | tr '[A-Z]' '[a-z]'| grep -o darwin`  # on MAC OS it is "darwin"
if [ "${MAC}" = "" ]; then
# assume linux
LOAD=linux_mac/load_lin
LINUX=`echo ${OSTYPE} | tr '[A-Z]' '[a-z]'| grep -o linux`
if [ "${LINUX}" = "" ]; then
echo "${LOAD} not supported on this (${OSTYPE}) platform"
exit 1
fi
fi
chmod a+x ${LOAD}  # Needed if kit built on WIN OS
echo "Updating Barionet-100 with LX X-Port (XPort product number : XP1001000-01)"
curr_dir=$(pwd)
sys_dir=`dirname $0`
cd $sys_dir/../
./${LOAD}  -t barionet -b DstLoadrx.sdb -d xpt.spb -r barionetweb.cob -s $1
cd $curr_dir

