#!/bin/sh

OS_PLT=`uname | tr '[A-Z]' '[a-z]'| grep -o darwin`       # on MAC OS it is "darwin"

if [ "${OS_PLT}" = "" ]; then
    OS_PLT=`uname | tr '[A-Z]' '[a-z]'| grep -o linux`
fi

if [ "${OS_PLT}" = "" ]; then
    echo "Platform `uname` is not supported"
    exit -1
fi

DST_PAGE=WEB1
APP_NAME="barionetweb"
DIR_NAME=`dirname "$0"`
old_dir=`pwd`
cd "${DIR_NAME}"
if [ "${OS_PLT}" = "linux" ]; then
	PACKAGER=../tools/bpkg-static-linux-x86
	TFTP=atftp
else
	PACKAGER=../tools/bpkg-mac-x86
	TFTP=../tools/atftp-mac-emul
	MAC_OS_MAJOR_VER=`sw_vers -productVersion | cut -d"." -f1`
	MAC_OS_MINOR_VER=`sw_vers -productVersion | cut -d"." -f2`
	if [ "$MAC_OS_MAJOR_VER" -gt 10 ]; then
		BPKG=../tools/bpkg-mac-x86_64
	else
		if [ "$MAC_OS_MINOR_VER" -gt 12 ]; then
			BPKG=../tools/bpkg-mac-x86_64
		fi
	fi
fi

${PACKAGER} /o ${APP_NAME}.cob /d ${APP_NAME}

echo
if [ $# -gt 0 ] ; then
        echo "# Transfering to Barionet..."
	${TFTP} -l ${APP_NAME}.cob -r ${DST_PAGE} -p $1
fi

cd "${old_dir}"



